Bug 472211 (CVE-2008-5360) - CVE-2008-5360 OpenJDK temporary files have guessable file names (6721753)
Summary: CVE-2008-5360 OpenJDK temporary files have guessable file names (6721753)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-5360
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 473317 479814 479815 479822 479823 493287 493288 493289 529660 529661
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-19 12:31 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-21 22:45:58 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0015 0 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2009-01-13 21:33:26 UTC
Red Hat Product Errata RHSA-2009:0016 0 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2009-01-13 21:39:54 UTC
Red Hat Product Errata RHSA-2009:0445 0 normal SHIPPED_LIVE Critical: java-1.4.2-ibm security update 2009-04-23 18:44:47 UTC
Red Hat Product Errata RHSA-2009:0466 0 normal SHIPPED_LIVE Low: java-1.5.0-ibm security update 2009-05-07 11:45:26 UTC

Comment 2 Marc Schoenefeld 2008-12-05 09:49:24 UTC
Name: CVE-2008-5360
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5360
Reference: SUNALERT:244986
Reference: URL:http://sunsolve.sun.com/search/document.do?assetkey=1-26-244986-1

Buffer overflow in Java Runtime Environment (JRE) for Sun JDK and JRE
6 Update 10 and earlier; JDK and JRE 5.0 Update 16 and earlier; SDK
and JRE 1.4.2_18 and earlier; and SDK and JRE 1.3.1_23 and earlier
creates temporary files with predictable file names, which allows
attackers to write malicious JAR files via unknown vectors.

Comment 3 Fedora Update System 2008-12-07 04:27:25 UTC
java-1.6.0-openjdk-1.6.0.0-0.20.b09.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2008-12-07 04:32:53 UTC
java-1.6.0-openjdk-1.6.0.0-7.b12.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Jan Lieskovsky 2008-12-08 09:24:45 UTC
Another mention of this issue:

http://secunia.com/advisories/32991/ (Point 1) ).

Comment 10 errata-xmlrpc 2009-04-23 18:45:13 UTC
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:0445 https://rhn.redhat.com/errata/RHSA-2009-0445.html

Comment 12 errata-xmlrpc 2009-05-07 11:45:42 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.2

Via RHSA-2009:0466 https://rhn.redhat.com/errata/RHSA-2009-0466.html

Comment 13 errata-xmlrpc 2009-05-07 12:11:14 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.2

Via RHSA-2009:0466 https://rhn.redhat.com/errata/RHSA-2009-0466.html


Note You need to log in before you can comment on or make changes to this bug.